EDIT - bug #9907

NPE when trying to create polytomous key
01/04/2022 01:44 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.29

Severity: normal Found in Version:

Description

mail Murat Erdem Guzel:

We tried to "generate polytomous key" for our group. However, we got the following error message.
internal.
internal.
.internal.
contexts.
commands .

di.MethodRequestor.execute (MethodRequestor.java:65)
di.InjectorImpl.invoke (InjectorImpl. java:264)
ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display. java:4418)
Widget.sendEvent (Widget. java:1079)
Display.runDeferredEvents (Display.java:4236)
Display.readAndDispatch (Display. java:3824)

ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:112

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)

core.databinding.observable.Realm.runWithDefault (Realm. java:336)

ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:20)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.
java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException
at eu.etaxonomy.taxeditor.editor.descriptiveDataSet.matrix.handler.GeneratePolytomousKeyHandler.ex
ecute (GeneratePolytomousKeyHandler. java:58)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
36 more

Associated revisions

Revision 523bd6bc - 01/04/2022 01:45 PM - Katja Luther

ref #9907: fix missing treelndex in taxonNodeDto

Revision 495cf16b - 01/04/2022 02:15 PM - Katja Luther

ref #9907: fix missing treelndex in taxonNodeDto - continue

History

#1 - 01/04/2022 01:44 PM - Katja Luther

This exception is caused by the missing treelndex in nodeDto.

#2 - 01/04/2022 01:49 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This should be fixed.

#3 - 01/04/2022 04:00 PM - Andreas Miiller
- Description updated

#4 - 01/04/2022 04:00 PM - Andreas Miiller
- % Done changed from 0 to 50

#5 - 01/24/2022 04:53 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

This seems to be fixed now.

#6 - 02/15/2022 03:40 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.29
